Cant install

Jordan's Avatar

Jordan

05 May, 2014 12:53 PM

I just downloaded TenFourFoxG5-24.5.0. I extract is successfully but when I double click the icon TenFourFoxG5 on the desktop it does nothing. I downloaded it again and it still does the same thing..

Thanks!

  1. Support Staff 1 Posted by Chris (chtrusch... on 05 May, 2014 01:46 PM

    Chris (chtrusch)'s Avatar

    Jordan, are you sure you downloaded the right version? If you click the Apple top left and then About This Mac…, what does it say under "Mac OS X Version" and "Processor"?

  2. 2 Posted by Jordan Binkley on 05 May, 2014 01:55 PM

    Jordan Binkley's Avatar

    It is a G5 PPC970 OSX 10.3.9

  3. Support Staff 3 Posted by Chris (chtrusch... on 05 May, 2014 01:58 PM

    Chris (chtrusch)'s Avatar

    Okay, you have the right processor, but the wrong Mac OS. TenFourFox runs under 10.4 and 10.5 only (10.4.11 and 10.5.8 are the supported versions). I'm sorry I can't offer you a better solution, but you will have to upgrade your G5 if you want to run TenFourFox.

  4. 4 Posted by Jordan Binkley on 05 May, 2014 02:03 PM

    Jordan Binkley's Avatar

    Bummer! Would you have any idea what browser out there would be the latest for 10.3.9?

  5. Support Staff 5 Posted by Chris (chtrusch... on 05 May, 2014 02:14 PM

    Chris (chtrusch)'s Avatar

    Have a look at the FAQ, here: https://code.google.com/p/tenfourfox/wiki/AAATheFAQ#Can_10.4Fx_run_...

    The thing is, if you need the desktop version of Facebook or the latest and greatest in HTML/CSS, these old browsers won't help you much. Since your G5 can run 10.4 or 10.5 very decently, your best option is to upgrade the OS if you want to keep the machine viable.

  6. 6 Posted by Jordan Binkley on 05 May, 2014 02:17 PM

    Jordan Binkley's Avatar

    We run exchange 2010 and basically all the user needs to do is access web mail. On the stock safari browser it does not load and I was assuming because it’s old.

    I will need to check and see if it’s possible to upgrade to 10.5 with the other software he has on the desktop.

  7. Support Staff 7 Posted by Chris (chtrusch... on 06 May, 2014 06:32 AM

    Chris (chtrusch)'s Avatar

    You were assuming correctly. Safari on 10.3 is hopelessly outdated. Webmail interfaces can be pretty demanding nowadays. Security is also an issue for webmail, and TFF (plus Seamonkey PPC, needs 10.5) are the only PPC browsers, as far as I'm aware, that are up-to-date security-wise.

  8. 8 Posted by Jordan Binkley on 06 May, 2014 08:41 AM

    Jordan Binkley's Avatar

    Understand. So if I get to 10.5 then I should be able to get a better usable browser!

    Thanks!!

  9. 9 Posted by Kent blythe on 08 May, 2014 05:40 AM

    Kent blythe's Avatar

    Be careful, Jordan........OS X 10.5.8 is the last Mac OS made for the Power PC but even the Dual 1.8 G5 is not powerful enough to run the 10.5.8 OS.
    This OS version was deliberately written to force G5 owners to update to a newer Intel powered Mac.
    My Dual 1.8 G5 can not cope with the power demands of the 10.5.8 OS, and the Mac experts that look after my G5 know all about the problems........no G5 ever built had enough POWER to run OS X 10.5.8 successfully.

  10. Support Staff 10 Posted by Chris (chtrusch... on 08 May, 2014 06:06 AM

    Chris (chtrusch)'s Avatar

    Kent, my G4 PowerBook says otherwise. Also I'd like to kindly remind you to keep the discussion on topic, which is TenFourFox.

  11. 11 Posted by Kent Blythe on 08 May, 2014 06:54 AM

    Kent Blythe's Avatar

    Hi Chris,

    I normally run an older OS in my G5, but my hard drive is in for repair.
    The replacement hard drive i was given is running 10.5.8 and my cable net
    service is like dial up......not to mention the time wasted waiting for my
    G5 to start up, and worse to close down.
    The IT Tech's informed me about the power problems that the Power Macs have
    with the 10.5.8 OS.
    It is apparently a well known problem with Power Macs trying to run the
    10.5.8 OS........either that, or the Tech's are lying to me.
    Jordan seems to be having a similar problem to me, but he is running a much
    faster OS that doesn't need as much power.
    Logic would suggest that if he downloads the SLOWER 10.5.8 OS, then he
    should have even more trouble downloading your latest version.
    That makes this a Ten Four Fox topic........

  12. Support Staff 12 Posted by Chris (chtrusch... on 08 May, 2014 07:03 AM

    Chris (chtrusch)'s Avatar

    Jordan's problem was that TFF doesn't run on 10.3. There was no downloading trouble involved. Discussion closed.

  13. Chris (chtrusch) closed this discussion on 08 May, 2014 07:03 AM.

  14. Jordan Binkley re-opened this discussion on 08 May, 2014 11:31 AM

  15. 13 Posted by Jordan Binkley on 08 May, 2014 11:31 AM

    Jordan Binkley's Avatar

    Why was this closed?

    He is running a 2Ghz G5 with 4GB of ram. So are we saying no point to update to 10.5.8 because it will run like crap?

  16. Support Staff 14 Posted by Chris (chtrusch... on 08 May, 2014 12:04 PM

    Chris (chtrusch)'s Avatar

    I closed it to stop the discussion about one person's off-topic "power" problems that was generalized to all Macs. Neither 10.4 nor 10.5 will run like crap on any G5 except there's something majorly wrong with the hardware.

  17. 15 Posted by D H on 11 May, 2014 02:19 PM

    D H's Avatar

    hi i download tenfourfox 25 and 17 and i can not install it because it say that program is not supported by my architecture i have mac os x 10.5.8 powerpc ppc7450 where is the problem?

  18. Support Staff 16 Posted by Chris (chtrusch... on 11 May, 2014 04:51 PM

    Chris (chtrusch)'s Avatar

    Hello D.H., make sure the zip file is downloaded completely. TFF 24.5.0 for G4 7450 is 33.544.050 bytes (we don't support TFF 17 anymore). Also make sure you unzip it with the Mac OS X built-in utility. Right-click the zip file and choose Open With… > Archive Utility.

  19. 17 Posted by Juan Gutierrez on 16 Nov, 2015 08:06 PM

    Juan Gutierrez's Avatar

    I'd like to know which version I can use for my osx 10.5.8 ppc970?

  20. Support Staff 18 Posted by Chris (chtrusch... on 17 Nov, 2015 08:07 PM

    Chris (chtrusch)'s Avatar

    Hello Juan, "TenFourFox for G5 processors" is for you. Go to http://www.floodgap.com/software/tenfourfox/ and scoll down to "How to get Tenfourfox".

Reply to this discussion

Internal reply

Formatting help / Preview (switch to plain text) No formatting (switch to Markdown)

Attaching KB article:

»

Attached Files

You can attach files up to 10MB

If you don't have an account yet, we need to confirm you're human and not a machine trying to post spam.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac

Recent Discussions

24 Aug, 2019 08:37 AM
22 Aug, 2019 10:51 PM
22 Aug, 2019 10:44 PM
19 Aug, 2019 03:03 AM
14 Aug, 2019 12:17 PM